function OnWarpEnter()
	SetMarker("Osiris\\Warp_0035.wp",0,0)
	SetMarker("Osiris\\Warp_0033.wp",0,0)

	Current_Stars="E2G1"
	--check anims conditions
	if Current_Stars==Next_Stars and not Near_Win then
		LookAt(182,320)
		StartAnimation("E2G1",1)
		StartAnimation("C2G1",1)
		Next_Stars="E1G1"
		Near_Win=true
	elseif Current_Stars==Next_Stars and  Near_Win then
		Stars_Win=true
	end

	if Current_Stars ~= Next_Stars  then
		if Next_Stars == "E1G1" then
			StartAnimationPart("E1G1",0,10,-1,false)
		elseif Next_Stars == "E2G1" then
			StartAnimationPart("E2G1",0,10,-1,false)
		elseif Next_Stars == "E3G1" then
			StartAnimationPart("E3G1",0,10,-1,false)
		elseif Next_Stars == "E4G1" then
			StartAnimationPart("E4G1",0,10,-1,false)
		end
	end
	if Stars_Win then
		LookAt(155,026)
		DrawText("LMOR1192","LMOR1192.ogg")
		DrawText("LMOR1193","LMOR1193.ogg")
		StartAnimationPart("DOG1",0,15,1,true)	
	end
end


function OnWarpLeave()
end

function OnAnimationFinished(objectName)
	if objectName == "DOG1" then
		StartAnimationPart("DOG1",15,16,-1,true)
		SetMarker("Osiris\\Warp_0037.wp",0,0)
	end
	
	if objectName == "C2G1" then
		if Next_Stars == "E1G1" then
			StartAnimationPart("E1G1",0,10,-1,false)
		elseif Next_Stars == "E2G1" then
			StartAnimationPart("E2G1",0,10,-1,false)
		elseif Next_Stars == "E3G1" then
			StartAnimationPart("E3G1",0,10,-1,false)
		elseif Next_Stars == "E4G1" then
			StartAnimationPart("E4G1",0,10,-1,false)
		end
	end
end

function OnWarpObjectHit(objectName)
	if objectName == "11G1" then

------------------------------------------------------------
	elseif objectName == "C1G1" then

------------------------------------------------------------
	elseif objectName == "C2G1" then

------------------------------------------------------------
	elseif objectName == "C3G1" then

------------------------------------------------------------
	elseif objectName == "C4G1" then

------------------------------------------------------------
	elseif objectName == "DOG1" then

------------------------------------------------------------
	elseif objectName == "E1G1" then

------------------------------------------------------------
	elseif objectName == "E2G1" then

------------------------------------------------------------
	elseif objectName == "E3G1" then

------------------------------------------------------------
	elseif objectName == "E4G1" then
	end
	if objectName=="3D\\Osiris\\Warp_0035.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0037.wp" and Stars_Win then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0033.wp" then
		ChangeWarp(objectName)
        end
end
